- Qt 6.12
- Qt Graphs
- QML Types
- QtGraphs
- DateTimeAxis
- Qt Graphs | Commercial or GPLv3

# Obsolete Members for DateTimeAxis

The following members of QML type DateTimeAxis are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- tickInterval : real `(deprecated in 6.12)`

## Signals

- tickIntervalChanged(real tickInterval) `(deprecated in 6.12)`

## Property Documentation

### tickInterval : real `[deprecated in 6.12]`

This property is deprecated since QtGraphs 6.12. We strongly advise against using it in new code.

The amount of major ticks are placed on an axis. If value is 0 or lower, axis will automatically calculate appropriate amount of ticks. The default value is 0. use tickCount instead.

## Signal Documentation

### `[deprecated in 6.12]` tickIntervalChanged(real tickInterval)

This signal is deprecated since QtGraphs 6.12. We strongly advise against using it in new code.

This signal is emitted when the tick interval value, specified by tickInterval, changes. use tickCountChanged instead.

Note: The corresponding handler is `onTickIntervalChanged`.